Upgrade beta to Elasticsearch 1.7.0
Closed, ResolvedPublic

Ran into small issue with es-tool, there is an IndentationError in the current script. Waiting on https://gerrit.wikimedia.org/r/226312 to perform the rolling restart

EBernhardson added a comment.EditedJul 22 2015, 6:34 PM

Upgrade completed, but I'm not sure if this was a reasonable test of freezing/thawing the indexes. I did a reboot of a single machine without freezing/thawing so I could see what it did under the "old" circumstances, then rebooted the rest of the machines with mediawiki (and apifeatureusage) writes disabled. In both cases es-tool reported unassigned shards on its first loop, and all green 60s later.

I don't think this indicates any problem, just that the issues we experience in production with extended downtime after reboot might not be (easily) recreatable in the beta cluster.

Based on the server logs (/var/log/elasticsearch/beta-search.log) it looks like all writes were stopped as expected.

Ironholds moved this task from Needs triage to Search on the Discovery board.Aug 4 2015, 8:18 AM
ksmith moved this task from Search to On Sprint Board on the Discovery board.Aug 27 2015, 8:32 PM
Deskana closed this task as Resolved.Sep 12 2015, 2:44 AM
Deskana moved this task from Done to Resolved on the Discovery-Search (Current work) board.
Deskana added a subscriber: Deskana.